JSONRPC_ERROR = -40000
SCHEMA_ERROR = -400100
SCHEMA_NOT_DEFINED_ERROR = -40101
SCHEMA_VALIDATION_ERROR = -40102
HANDLER_REQUEST_ERROR = -40200
OPERATION_ERROR = -40400
OPERATION_NOT_FOUND_ERROR = -40401


class JsonRpcException(Exception):
    """Base exception for JSON-RPC module"""

    def __init__(self, code, message=None, context=None):
        self.code = code
        self.message = message
        self.context = context
